package ru.pricepulse.parsingservice.ozon_parser.service.scheduler;

import lombok.RequiredArgsConstructor;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;
import ru.pricepulse.parsingservice.config.properties.OzonConfigProperties;
import ru.pricepulse.parsingservice.ozon_parser.service.parsing.OzonParsingService;

@Service
@RequiredArgsConstructor
@Profile("ozon")
public class OzonProductUpdater {

    private final OzonConfigProperties properties;
    private final OzonParsingService ozonParsingService;

    @Scheduled(fixedRate = 3600000)
    public void updateOzonProducts() {
        properties.getCategoriesUrls()
                  .forEach(ozonParsingService::processCategory);
    }

}
